import { IButton, IButtonHandler, IList, IListHandler, IPathApp } from "../../../pathinterface";
import { PathService } from "../../../service/path.service";
import { AfterViewInit } from "@angular/core";
import { ButtonGroup } from "../button-group/button-group.component";
import { PageElement } from "../page-element";
import { TranslationService } from "../../../service/translation.service";
import { Button } from "../button/button.component";
import * as i0 from "@angular/core";
export declare class ListComponent implements AfterViewInit {
    list: List;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListComponent, "path-list", never, { "list": "list"; }, { "list": "list"; }, never, never>;
}
export declare class List extends PageElement implements IList {
    private pathService;
    private translationService;
    private _buttonGroups;
    private _search;
    private _limit;
    private _searchRequired;
    private _searchRequest;
    private _searchLabel;
    private _searchInputLabel;
    private _searchText;
    private _searchTextChanged;
    private _searchButton;
    private _handler;
    private _buttonHandler;
    private _icon;
    private _color;
    private _form;
    private _formHandler;
    private _page;
    private _mockData;
    private _url;
    constructor(app: IPathApp, pathService: PathService, translationService: TranslationService);
    getContent(): IButton[];
    refresh(searchText: string, afterRefreshHandler: () => void): void;
    filterChanged(text: string): void;
    filter(): void;
    private filterVisibleButtonGroups;
    private setSearchResultsCountMessage;
    private visibleItemSize;
    get buttonGroups(): ButtonGroup[];
    set buttonGroups(value: ButtonGroup[]);
    get search(): boolean;
    set search(value: boolean);
    get handler(): IListHandler;
    set handler(value: IListHandler);
    get buttonHandler(): IButtonHandler;
    set buttonHandler(value: IButtonHandler);
    get icon(): string;
    set icon(value: string);
    get color(): string;
    set color(value: string);
    get form(): string;
    set form(value: string);
    get formHandler(): string;
    set formHandler(value: string);
    get page(): string;
    set page(value: string);
    get mockData(): any;
    set mockData(value: any);
    get url(): string;
    set url(value: string);
    get limit(): number;
    set limit(value: number);
    get searchRequired(): boolean;
    get searchRequest(): boolean;
    get searchText(): string;
    get searchLabel(): string;
    get searchInputLabel(): string;
    set searchLabel(value: string);
    set searchInputLabel(value: string);
    set searchText(value: string);
    get searchButton(): Button;
    fromJson(modelElement: any): void;
}
